#include "base-signal.h"

#include <sstream>
#include <iostream>

using namespace std;

int Signal::readIntList(ifstream& file, const string& listName, std::vector<int>& ints)
{
	string word;
	file >> word;
	if(word == "ENDSIG") return 0;
	if(word != listName)
	{
		cerr << "Expected to read " << listName << ", got " << word << endl;
		return -1;
	}
	return readIntList(file, ints);	
}

int Signal::readIntList(std::ifstream& file, std::vector<int>& ints)
{
	ints.clear();
	string line;
	getline(file, line);
	stringstream ss(line);

	// this is a hack, but good() and eof() don't give the right answer...
	while(true)
	{
		int n = -1;
		ss >> n;
		if(n == -1)
		{
			break;
		}
		else
		{
			ints.push_back(n);
		}
	}
	
	return ints.size();
}
