#ifndef SIGNAL_H
#define SIGNAL_H

#include <fstream>
#include <string>
#include <vector>

// base signal
class Signal
{
	protected:
		// returns -1 on error, 0 on end of signal and n for the number of ints read
		int readIntList(std::ifstream& file, const std::string& listName, std::vector<int>& ints);
		
		int readIntList(std::ifstream& file, std::vector<int>& ints);
		
	public:
		std::string name;
		
		virtual bool fromFile(std::ifstream& file) = 0;
		
		// for signals that support it, a non-zero repeatCount will send the repeat signal that many times
		virtual bool toRedRat(int fd, int repeatCount) = 0;
};

#endif
