#include "double-signal.h"
#include <string>
#include <iostream>

using namespace std;

DoubleSignal::DoubleSignal()
{
	sendPart2 = true;
}

bool DoubleSignal::fromFile(std::ifstream& file)
{
	string word, name, part;
	
	// DMODSIG and name have already been read, read part
	file >> part;
	if(part != "1")
	{
		cerr << "Expecting part 1, got " << part << endl;
		return false;
	}

	// read first mod signal straight off
	if(!part1.fromFile(file)) return false;

	// skip line
	string blank;
	getline(file, blank);
	
	file >> word >> name >> part;
	if(word != "DMODSIG")
	{
		cerr << "Expecting another DMODSIG, got " << word << endl;
		return false;
	}
	if(name != this->name)
	{
		cerr << "Expecting signal called " << this->name << ", got " << name << endl;
		return false;
	}
	if(part != "2")
	{
		cerr << "Expecting part 2, got " << part << endl;
		return false;
	}
	
	// read second mod signal
	return part2.fromFile(file);
}
		
bool DoubleSignal::toRedRat(int fd, int repeatCount)
{
	if(!repeatCount) sendPart2 = !sendPart2; // calls with repeatCount != 0 should use the same value of sendPart2 as previous call
	
	(sendPart2 ? part2 : part1).toRedRat(fd, repeatCount);
}
