#ifndef LIRC_MIN_H
#define LIRC_MIN_H

/*
 * just the bits of lirc.h we need
 * normally we'd add a dependency on lirc, except 
 * a) lirc.h isn't part of lirc or lirc dev package
 * b) on pre-3.0 kernels existing lirc installations can conflict with the RedRat driver
 * c) this code circumvents lircd anyway, to properly deal with repeat signals etc
 */

#include <linux/types.h>
#include <linux/ioctl.h>

#define LIRC_MODE2_SPACE     0x00000000
#define LIRC_MODE2_PULSE     0x01000000
#define LIRC_MODE2_FREQUENCY 0x02000000
#define LIRC_MODE2_TIMEOUT   0x03000000

#define LIRC_VALUE_MASK      0x00FFFFFF
#define LIRC_MODE2_MASK      0xFF000000

#define LIRC_SET_SEND_CARRIER          _IOW('i', 0x00000013, __u32)
#define LIRC_SET_MEASURE_CARRIER_MODE  _IOW('i', 0x0000001d, __u32)
#define LIRC_SET_WIDEBAND_RECEIVER     _IOW('i', 0x00000023, __u32)

#define LIRC_NO_SUCH_IOCTL     _IOW('i', 0x00000025, __u32)

#endif
