#ifndef MOD_SIGNAL_H
#define MOD_SIGNAL_H

#include "base-signal.h"
#include "toggle-bit.h"

// a modulated signal
class ModulatedSignal : public Signal
{
	private:
		int frequency;
		int pause;
		std::vector<int> lengths;
		std::vector<int> mainSignal;
		std::vector<int> repeatSignal;
		std::vector<ToggleBit> toggleBits;
		bool sendToggle;
		
	public:
		ModulatedSignal();
	
		bool fromFile(std::ifstream& file);
		
		bool toRedRat(int fd, int repeatCount = 0);
};

#endif
